<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instructions.vargroup.variablegrouplist.add')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" styleClass="width100percent">
				<h:outputText value="#{facesContext.translate('label.vargroup.variablegroup.name')}" />
				<p:inputText id="name" value="#{vargroupModel.variablegroupBean.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.vargroup.variablegroup.name')}" />
				<h:outputText value="#{facesContext.translate('label.vargroup.variablegroup.description')}" />
				<p:inputTextarea id="descr" value="#{vargroupModel.variablegroupBean.description}" styleClass="inputTextareaLarge"/>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{vargroupController.doAddVariablegroup}" value="#{facesContext.translate('button.add')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{vargroupController.toWelcome}" value="#{facesContext.translate('button.cancel')}" ajax="false" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Hier können Sie den Namen und die Beschreibung der neuen Variablengruppe festlegen.
		</ui:define>
		<ui:define name="help_en">
      Here you can define name and description of the new variable group.
    </ui:define>
	</ui:composition>
</h:body>
</html>